# Asterisk Project : Asterisk 12 Application_SetMusicOnHold

Added by wikibot , edited by wikibot on Aug 29, 2013

# SetMusicOnHold()

### Synopsis

Set default Music On Hold class.

### Description

!!! DEPRECATED. USe Set(CHANNEL(musicclass)=...) instead !!!

Sets the default class for music on hold for a given channel. When music on hold is activated, this class will be used to select which music is played.

!!! DEPRECATED. USe Set(CHANNEL(musicclass)=...) instead !!!

### Syntax

    SetMusicOnHold(class)

##### Arguments

- `class`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown